# Kubernetes & Cloud Native Advent Calendar

- Cluster Setup (Distributions, Providers, ...)
- Dashboard
- kubeCTL
- nginx-ingress
- cert-manager
- k9s
- longhorn
- RBAC
- GitOps
- helm
- (Sealed) Secrets
- prometheus
- grafana
- loki
- postgres-operator
- terraform
- Kubernetes API Deepdive
- calico
- tailscale
- runtimes
- Gateway API
- operators
- service mesh
- multi cluster deployments
- certifications

## Possible accompanied hashtags

k25s
AdventOfK8s

## Structure of the articles

1. Introduction: Provide a brief overview of the topic, explaining what it is
and why it is important in the context of Kubernetes.

2. Key concepts: Explain the key concepts related to the topic. This might
include definitions of key terms, descriptions of key processes or mechanisms,
or explanations of how the topic fits into the overall architecture of
Kubernetes.

3. Examples: Provide examples of how the topic is used in practice. This could
include real-world scenarios, code snippets, or configuration files.

4. Best practices: Discuss any best practices or considerations to keep in mind
when working with the topic. This could include tips for optimizing performance,
avoiding common pitfalls, or following best practices for security or
reliability.

5. Exercise: Give a short puzzle or exercise about the topic at hand. The user
should get a sense of accomplishment after going through the topic. It also
incentivizes them to share the calendar on a social media platform.

6. Further reading: Provide links to additional resources for readers who want
to learn more about the topic. This could include documentation, tutorials, blog
posts, or other relevant materials.


## Introduction structure

Welcome to the Kubernetes advent calendar! In this series, we're exploring a
different topic in the Kubernetes and cloud native universe each day. Today,
we're focusing on [topic]. [Topic] is a powerful tool/concept that can help you
[achieve specific goal/benefit] in your Kubernetes deployment. In this article,
we'll discuss what [topic] is, how it works, and how you can use it in your own
deployments.

To view all previous topics, head over to [this list].
