---
title: "Pods vs. Containers"
date: "2023-03-04"
tags: "note, kubernetes, infrastructure, docker, 100DaysToOffload, tech"
---

In Kubernetes, pods and containers are often confused. I found a [great article](https://iximiuz.com/en/posts/containers-vs-pods/) going over the differences of the two terms.

> Containers and Pods are alike. Under the hood, they heavily rely on Linux namespaces and cgroups. However, Pods aren't just groups of containers. A Pod is a self-sufficient higher-level construct. All pod's containers run on the same machine (cluster node), their lifecycle is synchronized, and mutual isolation is weakened to simplify the inter-container communication. This makes Pods much closer to traditional VMs, [bringing back the familiar deployment patterns like sidecar or reverse proxy](https://www.mirantis.com/blog/multi-container-pods-and-container-communication-in-kubernetes/).

In my own words: Containers are made up of Linux namespaces and cgroups. Pods can be thought of as a cgroup of cgroups (though not really), mimicing the behavior of a virtual machine that runs multiple containers with a synchronized lifecycle. The containers in a pod are losely isolated, making it easy to communicate between each other. Containers in a pod can however set individual resource requests, enabled by Linux namespaces.

I'd highly encourage you to check out [the original article](https://iximiuz.com/en/posts/containers-vs-pods/) if you want to learn more about this topic.

---

This is post 053 of [#100DaysToOffload](https://100daystooffload.com/).
