---
layout: post
title: "6 ways you can contribute to open knowledge right now"
date: "2022-12-05"
tags: "note, guide, practices, 100DaysToOffload, tech"
---

I wrote the initial draft for this post a few months ago, traveling through
Norway in a rented campervan. While roaming the beautiful landscapes, I spent a
lot of time thinking. Reading books while traveling really is the best way to
find new inspiration.

On our trip, we wanted to try out an alternative to Google Maps. Most of the
OpenStreetMap-based apps lack important features, but we recently stumbled upon
[MagicEarth](https://www.magicearth.com/), which perfectly fills the void.
OpenStreetMap has been 95% accurate for us. Those last 5% are mostly less famous
hiking trails and attractions that could easily be filled in by people like you
and me. This inspired me to write this blog post, where I share six ways that
you can contribute to open source knowledge right now.

## OpenStreetMap

As mentioned above, I spotted some minor inconsistencies in
[OpenStreetMap](https://openstreetmap.org) while driving through Norway. We
tracked our hikes with an app that is able to export a GPX file, which can be
imported to OpenStreetMap to check if the trail matches (or if it is missing),
and took note of incorrect or sloppy roads/buildings. Back home, I plan to sit
down and fix up those issues.

But you don't have to be on a roadtrip to contribute to OpenStreetMap! Chances
are you know your local surroundings pretty well. Just navigate to your
neighborhood and see what could be improved. Maybe you know a public toilet, a
park or a secret road that is not shown on the map? As a matter of fact, my
private address was missing, so I added it via the editor. I can now use any of
the many OpenStreetMap-based apps to navigate home!

## Wikipedia (and other wikis)

I often feel like I can't contribute much to the vast knowledge of Wikipedia.
_Other people are way smarter than me_ and whatnot. But while you might not be
able to publish worthy edits to a well-known topic, you might know some things
that others haven't thought of. Is there an entry about your local town? Is
there an interesting member of your (past) family that others might want to read
about?

Of course, there are other wikis beside Wikipedia. Are you using a little-known
tool that has open source documentation in the form of a wiki? How can it be
improved?

## Observation

You might have never heard of [observation.org](https://observation.org). It's
an open biodiversity- and nature-database. I just recently learned about them in
our local museum. They had a special exhibition about insects, and called out
for contributions to map out our local flora and fauna.

The idea is simple: snap a picture of an interesting looking insect or plant,
upload it using the website (or one of their apps) and create an "observation".
Using this information, researchers will be able to understand the biodiversity
of your area. The information is free to use, and anyone can contribute!

## Wardriving

Wardriving is a fun and useful way to contribute to open source knowledge. By
driving around with a device that can detect and record wireless networks, you
can help to map out the wireless coverage in your area. This information can be
used by researchers, network operators, and other interested parties to
understand the availability and quality of wireless networks.

One popular tool for wardriving is [WiGLE](https://wigle.net/). WiGLE allows you
to easily collect and share information about wireless networks, and contribute
to the global wireless map. To get started with WiGLE, you will need a device
that can detect and record wireless networks. This can be a smartphone, laptop,
or dedicated wardriving device. You will also need to download and install the
WiGLE app, and some basic knowledge of how to use it.

Once you have set up WiGLE, you can start driving around and mapping out the
wireless networks in your area. As you collect data, it will be automatically
uploaded to the WiGLE database, where it can be used by researchers and other
interested parties. Wardriving with WiGLE is a fun and easy way to help advance
scientific research and understanding.

## folding@home

Another way to contribute to open source knowledge is to participate in the
[folding@home](https://foldingathome.org/) project. folding@home is a
distributed computing project that uses the idle processing power of volunteers'
computers to perform scientific calculations and simulations. These calculations
are used to study a wide range of topics, including protein folding, drug
design, and the origins of the universe.

By joining the folding@home network, you can help to advance scientific research
and discovery. The project is open to anyone, and you can participate using your
personal computer, laptop, or even your smartphone. All you need to do is
download and install the folding@home software, and then select the types of
calculations that you want to contribute to.

The folding@home project is a great way to put your idle computing power to good
use, and to contribute to the global effort to advance scientific knowledge. To
learn more, visit the [folding@home website](https://foldingathome.org/).

## Blog posts

Writing a blog post is a fun and engaging way to contribute to open source
knowledge. You don't need to be a professional writer or have a formal writing
style. Just jot down some notes about a topic that you are passionate about, and
share your experiences and expertise with others.

Not only will you be helping others to learn from your experiences, but writing
a blog post can also be beneficial for yourself. Capturing your thoughts and
ideas in writing can help you to better understand and organize your own
knowledge. It can also be a great way to reflect on your experiences and to
learn from your successes and failures.

If you're interested in blogging, you might want to check out the
[100DaysToOffload](https://100daystooffload.com/) project!

# Wrapping up

As you can see, there are many ways that you can contribute to open source
knowledge, even if you don't have a lot of time or expertise. By participating
in projects like OpenStreetMap, Wikipedia, observation.org, and folding@home, or
by sharing your experiences and expertise through blog posts, you can make a
real difference in the community.

Why not give it a try? You might be surprised by how much you can learn and how
much you can help others. And who knows, you might even have some fun along the
way! Thanks for reading, and happy contributing!

This is post 044 of [#100DaysToOffload](https://100daystooffload.com/).
