---
layout: post
title: "About My Pocket Notebook"
date: "2023-09-09"
tags: "100DaysToOffload, note, life, notebooks"
---

Since about a month, I've been carrying a tiny pocket notebook with me wherever
I go. It's small enough to fit in every pocket imaginable. It doesn't need to
be recharged, it doesn't care if it gets wet. It's just right there whenever I
need it.

![My Notebook on a recent hike](/assets/posts/2023-09-09-about-my-pocket-notebook/hike.jpeg)

As someone living with ADHD, I often find myself overwhelmed by random thoughts and environmental stimuli. Writing my thoughts down on pen and paper helps a lot in those moments, but until now, I've yet to come across a technique that stuck with me for an entire month. I take a lot of notes at work and I feel that it helps me stay organized, but I haven't found a way to use the same technique in my free time. I once tried keeping a notebook in my backpack, but there are moments where I just don't have my backpack with me, so I neglected it soon after I started.

That all changed when I stumbled across a video titled ["This pocket notebook is (slowly) replacing my phone"](https://youtu.be/0xssCfBiUds?si=vxclEs1UxK5tlkL0). It instantly clicked for me. Carrying a tiny notebook alongside my phone surely can't be that hard. And indeed, it isn't! At night, I put the notebook right next to my phone on my desk. After waking up, I grab my phone, and the notebook is right there for me to take as well. It's become a habit to check if the notebook is there, just like checking your keys when leaving the house.

Phones are optimized to grab your attention whenever and wherever you are. After hours of mindless scrolling through various feeds, I feel like the phone has won the war over me and I begin to feel tired and overwhelmed. Having a notebook always with me, I now get a sense of control over where I'm allocating my attention. Instead of reaching for my phone, I might as well pull out the notebook and scribble whatever is on my mind in that moment. I get to choose what I'm writing down, instead of mindlessly consuming content I'm not even interested in.

In my current notebook, there are lists of things I did on some random day, ideas for side-projects, long paragraphs of unsorted thoughts, stamps I collected during a hike, and bad doodles of trees. It really doesn't matter **what** I'm writing. It's about bringing awareness to what's on my mind.

## Notebook sizes

I'm still playing around with different sizes of notebooks. So far, I've been using a [Moleskine Volant XS](https://www.moleskine.com/en-us/shop/notebooks/journals/volant-journals/volant-journals-forget-me-not-blue-and-amber-yellow-8058647620541.html) notebook, which is 6.5 x 10 cm in size. It fits comfortably in the palm of my hand and easily slides in every pocket imaginable. I'd say it's the perfect size for this purpose!

![My current notebook](/assets/posts/2023-09-09-about-my-pocket-notebook/moleskine.jpeg)

As this notebook comes to an end (it took about a month to fill), I want to try out the slightly larger [Field Notes](https://fieldnotesbrand.com/products/original-kraft) notebook. It's about 9 x 14 cm and *just barely* fits in my back pocket. My concern is that it's too big to carry in tighter pockets, but from what I've read online so far, people seem to love this form factor. In my opinion Field Notes have a very unique vibe to them, and although the price is quite hefty (about 15€ for a pack of three, including shipping), they do make it up in style.

![A Field Notes notebook](/assets/posts/2023-09-09-about-my-pocket-notebook/field_notes.jpeg)

Field Notes also have awesome quarterly [limited editions](https://fieldnotesbrand.com/limited-editions) that give them an aspect of collectability (just look at their [National Parks](https://fieldnotesbrand.com/products/national-parks) series. They're gorgeous! 🤤). There's definetely a lot of hype around them, so if you don't care about the aesthetics, you can always opt for way cheaper alternatives from your local stationary store (around 2€ or lower).

## Conclusion

After a month of carrying this notebook with me, I do feel that it increased my mental clarity quite a lot. I have a sense of control over my thoughts that I never had before. Whenever I'm sitting down with my notebook and a pen, I instantly notice things around me that I wouldn't have noticed if I stared at my phone instead.

Notebooks and other so called "EDC" (everyday carry) items are a true rabbit hole (look it up, you'd be surprised), and its easy to get lost in the details. If you're interested in trying this technique for yourself, just grab whatever tiny notebook you can find and *just write*.

---

This is post 075 of [#100DaysToOffload](https://100daystooffload.com/).


