---
title: "Curriculum Vitae"
siteTitle: "Garrit's CV"
layout: default
---

## Education

Advanced technical certificate (Degree); 2015 - 2017

Mobile Software Developer (Traineeship); 2017 - 2020

## Experience

### appmotion GmbH

_**DevOps Engineer, February 2023 - present**_

Development and standardization of cloud infrastructure for various application backends

- [Setup of resiliant AWS infrastructure components using Terraform](/posts/2023-03-30-designing-resilient-cloud-infrastructure)
- [Setup of hyperscalable infrastructure using the Serverless Framework](https://garrit.xyz/posts/2023-04-28-serverless-framework-retrospective)
- [Containerization of a Laravel application](/posts/2023-03-03-notes-on-containerizing-php-applications)

Maintenance and monitoring of [Kubernetes](https://kubernetes.io/) cluster environments

- Integration of GitOps deployment workflows using [FluxCD](https://fluxcd.io/)
- Provisioning and management of Kubernetes clusters using [OpenStack](https://www.openstack.org/)
- Setup of end-to-end monitoring and alerting solutions using [Prometheus](https://prometheus.io/) and [Grafana](https://grafana.com/)

_**Software Developer, March 2021 - March 2023**_

Development of a HBBTV media library for public television

- Design and implementation of a BFF (backend for frontend) using [Nest.js](https://nestjs.com/)
- Design and implementation of a device configuration microservice

Development of a prototype for a sleep monitoring application

- Flutter-based mobile application
- Integration of platform-dependent features (iOS, Android) for native background tasks and microphone usage

Development of a web-based convention application

- Development of APIs using Node.js and GraphQL
- Development of a content management system using React and Material Design
- Various performance optimizations to the platform
  - [Server-side caching](/posts/2021-10-04-server-side-caching-with-apollo-graphql) solution using Redis
  - Support for auto-scalable databases using AWS Aurora
  - Incremental rendering

### CGI Germany

_**Mobile Software Developer, 2020 - Feburary 2021**_

Development of a companion app for a leading automotive company

- Development for leading mobile platforms
- Complete redesign of legacy application
- Agile workflow using the Atlassian Toolchain (Jira, Bitbucket, Confluence)

Development of a mobile smart-home application

- Implementation of a Bluetooth and ZigBee pairing solution
- Reactive development using ReactiveX for iOS and Android
- Managing IoT devices using AWS IoT Core
- Maintaining a RESTful API using AWS Lambda

_**Trainee, 2017 - 2020**_

Various Projects related to mobile app development in fields including fleet
management and game development

### Volkswagen Financial Services

_**SAP Development Intern, 2015 - 2016**_

Development of an application to look up car dealership data

## Projects

✅ - Done

🌱 - Doing

🪦 - Dead

### 🌱 [Fling - Maintainer](https://github.com/garritfra/fling)

A simple mobile app that simplifies household management. Still very basic, but I've been dogfooding it since early 2021.

### ✅ [512kb.club - Collaborator & Code Review](https://512kb.club/)

The 512KB Club is a collection of performance-focused web pages from across the
Internet.

### ✅ [darktheme.club - Maintainer](https://darktheme.club/)

The Darktheme Club is a collection of accessible web pages from across the Internet.

### ✅ [seeking-maintainers.net - Maintainer](https://seeking-maintainers.net/)

An index of open source projects seeking new maintainers.

### ✅ [qbe-rs - Maintainer](https://github.com/garritfra/qbe-rs)

A Rust crate that seeks to provide a Rust-y representation of QBE IR. It can be
used for code generation of compilers. A way to parse existing IR is planned.

### 🪦 [Clio Programming Language - Core Contributer](https://clio-lang.org/)

Pure functional lazy-evaluated programming language targeting decentralized and
distributed systems. It is made to take advantage of multiple CPUs and CPU
cores (parallelism) by default, to run on clusters and on the cloud easily.

### 🪦 Imf & Firus - Developer

Daily challenges for children of parents that are working from home during the
pandemic. This app gives children fun and interesting activities they can do
on their own or with a sibling.

### 🪦 [Antimony Programming language - Maintainer](https://github.com/antimony-lang/antimony)

A bullshit-free programming language that compiles to JavaScript and C.

### 🪦 [Taurus - Maintainer](https://github.com/garritfra/taurus)

Concurrent Gemini server written in Rust. Very lightweight and hackable.

## Activities

### "WirVsVirus" hackathon participant, 2020

Planning and developing a solution to entertain children at home during the pandemic.

### Programming workshop director, 2018

Designing and directing a programming workshop for students of grade 6-8.
Scratch and Python were lectured over the course of two terms.

### "Spacecamp" workshop organizer, 2018

Organizing and leading a workshop to familiarize children and teenager with
technology and project management.
