---
layout: default
---

# A comprehensive list of projects that I want to build but probably never will

- A fork of [birdsite.live](https://github.com/NicolasConstant/BirdsiteLive)
  for instagram
- Battle Royale App for habit tracking
- Federated sports tracker ([somewhat in the making already](https://github.com/SamR1/FitTrackee/issues/16))
- C compiler for [uxn](https://wiki.xxiivv.com/site/uxn.html) (or
  [antimony](https://github.com/antimony-lang/antimony) backend?)
- Mirror this blog to [Gemini](https://gemini.circumlunar.space/)
- Tower-Defense Game as FUSE filesystem
- A Vim-like editor
- A farming simulator ([Gemini](https://gemini.circumlunar.space/) or FUSE frontend?)
- Template Engine for Gemini applications
- [~~A platform for abandoned projects to find new maintainers~~](https://seeking-maintainers.net/)
- Terminal-based spreadsheet program
- A web-based kernel and graphical operating system
- A compliant redis server implementation
- A website that calls out bloated technology/websites
- A transpiled JavaScript dialect for German syntax
- A newsletter/feed that aggregates news from outlets covering the entire political spectrum
- A Typescript library that mimics some safety features of Rust
- Pacman but you're the ghost
- A community-forum where users can post "nuggets" of interesting information. Inspired by HackerNews, Reddit and Twitter
- A gameboy/nes emulator
- A HackerNews CLI
- git-commit-later: schedule a commit for later
- An app like Google Maps to discover cool and interesting places in your area
- A VPN SaaS
- A recommendation engine for your existing RSS-feed (OPML)
- A simple service for managing arbitrary web redirects. Used to prevent old links from dying.
- A browser extension that restricts the amount of tabs
- A solo roleplaying app
- [~~an easy to understand webapp for sending and receiving sensitive data using twmporary PGP keys~~](https://sendpasswords.net)
- a virtal pet
- a game where you learn to build a common language with an alien
- [~~A filtered version of HackerNews that only shows positive news~~](https://github.com/garritfra/positive_hackernews)
- An RSS proxy that filters out negative content
- A JSON parser
- A game that teaches the principles of DevOps through a Kanban-style UI
- A frontend for GnuCash geared towards Freelancers
- "Git For Babies" book

## Website Roadmap

- ~~Turn this blog into my main website~~
- [~~"todo" Page on website (this list)~~](/todo)
- Join a webring
- ~~Implement content tags~~
- Integrate webmentions
- Have multiple lists of contents (guides, notes, garden, etc.)
- Anchor links to headings
- Make analytics public
- Add a search
- Add backlinks
- [~~Add a privacy policy~~](/privacy)
- ~~Add a "donate" button~~
- Add a "Uses" page
- ~~"Share via Mastodon, Twitter, Facebook..." buttons~~
- Page changelog (page slug to git history link)
- ~~Press "." on any page to get redirected to the edit page. Inspired by GitHub's shortcut.~~ ([blog post](/posts/2022-10-05-simple-guestbook))
- Links to previous and next posts
- Add a static API for data access
- A button that links to a random URL I find interesting. Great for discovering content.on other sites
- Recent entries of my reading list (pocket)
- ~~Add short explainers to blogroll~~
